### Method

# Gtk IconViewget_activate_on_single_click

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_icon_view_get_activate_on_single_click (
      GtkIconView* icon_view
    )

#### Description [src]

Gets the setting set by gtk_icon_view_set_activate_on_single_click().

Deprecated since: 4.10

Use `GtkGridView` instead.

Gets property | `Gtk.IconView:activate-on-single-click`

#### Return value

Type: `gboolean`

`TRUE` if item-activated will be emitted on a single click.